phpStorm 1.0 -> 2.1.4 license

Hello.

I got an opensource license for PhpStorm and used it when it was version 1.0. It was on August 2010, so i had license till 13 August of 2011.

After release of 2.1.2 (my license was still OK), i switched for EAP version 2.1.3 and at 2.1.4 finally. As result I can't use PhpStorm right now, coz no new EAP yet and my lince is expired for 2.1.3 or 2.1.4. I can't download version 2.1.2 again to rollback.

I asked to prolong my opensource lince, but still no any answer - emailed to official address for opensource license cases (got it from first email with license).

So...how to be? I would like to rollback to 2.1.2, if there is no any way to prolong my license, but i can't find the way to download it.

6 comments
Comment actions Permalink

The Open Source license requst processing definitely takes some time, but It will eventully be prolonged if you still comply with the terms.

We keep only latest vesion in each branch on the CDN, so you can download only 1.0.2, 2.0.1 and 2.1.4 (just replace digits in the official download URL)

Also, the 3.0 EAP will be started during this month.

0
Comment actions Permalink

thank u for reply. so i will rollback to 2.0.1 and will wait for some time till answer about my license.

0
Comment actions Permalink

hmm...i downloaded 2.0.1 version (it was released before my license expired) and i still can't use it - "Your license has expired". So is there any way to rollback for version that will accept my expired license?

0
Comment actions Permalink

tried to use version 1.0.2 - no success. Still 'Your license has expired'. So looks like if someone will use EAP he will not be able to use last valid version for that license anymore. I can't use any version right now. Not matter that license was valid for 1.0.2 and for 2.0.1 versions :(

Are u sure that it's right behaviour? Coz in that case noone will be able to 'test' new EAP version, coz he will not be able to stick with last valid version for own license in the future. He will be asked to buy upgrade in anyway. Not matter will he decide to move for new version or stay at old version. Looks like EAP breaks it :(

0
Comment actions Permalink

Any EAP build does not uses your license at all, including your evaluation period. All EAPs just work 30 days since first launch of that particular build, independently of each other.

Also, AFAIK our OS license manager have responded to your request - probably with prolonged license If you still qualify.

Please send me your registration name - I will retrive your original license and check it with various builds.

0
Comment actions Permalink

Hi!

Yep, i got prolonged license, big thanks :)

But still strange that after i used EAP and then 30-day trial, i could not rollback for previous valid version with expired license.

0

Please sign in to leave a comment.